help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: How to update core extensions (Gnus)?


From: Alan Schmitt
Subject: Re: How to update core extensions (Gnus)?
Date: Mon, 02 Mar 2015 13:52:41 +0100
User-agent: Gnus/5.130012 (Ma Gnus v0.12) Emacs/24.4 (darwin)

On 2015-03-02 07:23, address@hidden (Tory S. Anderson) writes:

> Contrary to my long-held belief in the stagnation of the Gnus codebase
> (I was under the impression it had been untouched since 2009), Gnus
> has been revived and I want to implement changes that are newer than
> my current 25.0.5 emacs version. But it looks from my package manager
> that Gnus isn't something that I can, for instance, grab from
> Melpa. What's the best practice for updating a core package like this?
> Can I clone http://git.gnus.org/gnus.git and cause emacs to respect
> the clone over the built-in? Should I?

I use the git version of gnus. I simply do "make" after checking it out,
then I have this in my init.el:

#+begin_src emacs-lisp
(add-to-list 'load-path "~/src/gnus/lisp/")
(require 'gnus-load)
#+end_src

Alan

-- 
OpenPGP Key ID : 040D0A3B4ED2E5C7

Attachment: signature.asc
Description: PGP signature


reply via email to

[Prev in Thread] Current Thread [Next in Thread]